com.google.gwt.logging.server

## Class RemoteLoggingServiceUtil

- java.lang.Object
- - com.google.gwt.logging.server.RemoteLoggingServiceUtil

    public class RemoteLoggingServiceUtil
    extends java.lang.Object

Utilities for classes that accept Remote Logging requests.

### Nested Class Summary

Nested Classes
`static class` `RemoteLoggingServiceUtil.RemoteLoggingException` Exceptions that may occur during remote logging.

### Constructor Summary

Constructors
Constructor and Description
`RemoteLoggingServiceUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.logging.LogRecord` `deobfuscateLogRecord(StackTraceDeobfuscator deobfuscator, java.util.logging.LogRecord lr, java.lang.String strongName)`
`static void` `logOnServer(java.util.logging.LogRecord lr, java.lang.String strongName, StackTraceDeobfuscator deobfuscator, java.lang.String loggerNameOverride)` Logs a message on the server.
`static void` `logOnServer(java.lang.String serializedLogRecordJson, java.lang.String strongName, StackTraceDeobfuscator deobfuscator, java.lang.String loggerNameOverride)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteLoggingServiceUtil

    public RemoteLoggingServiceUtil()

### Method Detail

#### logOnServer

    public static void logOnServer(java.util.logging.LogRecord lr,
                                   java.lang.String strongName,
                                   StackTraceDeobfuscator deobfuscator,
                                   java.lang.String loggerNameOverride)
                            throws RemoteLoggingServiceUtil.RemoteLoggingException

Logs a message on the server.

Parameters:
  `lr` - LogRecord to be logged
  `strongName` - Permutation name (used for deobfuscation and may be null, which will only cause deobfuscation to fail)
  `deobfuscator` - used for deobfuscation. May be null, which will only cause deobfuscation to fail.
  `loggerNameOverride` - logger name for messages logged on server. May be null, in which case, messages will be logged to a logger corresponding to the client-side logger which triggered them.
Throws:
  `RemoteLoggingServiceUtil.RemoteLoggingException`

#### deobfuscateLogRecord

    public static java.util.logging.LogRecord deobfuscateLogRecord(StackTraceDeobfuscator deobfuscator,
                                                                   java.util.logging.LogRecord lr,
                                                                   java.lang.String strongName)

#### logOnServer

    public static void logOnServer(java.lang.String serializedLogRecordJson,
                                   java.lang.String strongName,
                                   StackTraceDeobfuscator deobfuscator,
                                   java.lang.String loggerNameOverride)
                            throws RemoteLoggingServiceUtil.RemoteLoggingException

Throws:
  `RemoteLoggingServiceUtil.RemoteLoggingException`